Запомняне

» Здравейте
[ Вход :: Регистриране ]
 » Начало » Li Форуми » Help & Support » Kernels & Drivers » Проблем с Nvidia
Тема: Проблем с Nvidia
Мнение #1 Skip to the next post in this topic.
Написано на: Октомври 29 2005, 15:40

No avatar chosen




Група: Li fans
Мнения: 3
Регистриран: Октомври 2005

Оценка: няма

Offline
Значи имам най-новата версия на видео драйвъра и когато го записвам ми изписва ,че парво трябва да си прекомпилирам ядрото с някакви си сорсове и незнам какво да правя.Предварително ви благодаря.
(Nvidia Ge-Force 4)
(Тиликс 1.0 сам) Също така как мога да разбера какво ми е ядрото (версията)?Гледам ,че вече излезна ново ядро и него как мога да го запиша?10х
Контакти:  XMMS
WEB  
Мнение #2 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Октомври 30 2005, 10:20
mcwolf

No avatar chosen




Група: Li gurus
Мнения: 1489
Регистриран: Април 2005

Оценка: 5

Offline
погледни в тази тема "борихме" един тиликс - ако нещо не ти стане ясно питай :)
Контакти:  mcwolf

  • AOL  AOL:
  • ICQ  ICQ:
  • MSN  MSN:
  • YIM  Yahoo IM:
WEB  
Мнение #3 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Октомври 30 2005, 11:48

No avatar chosen




Група: Li fans
Мнения: 3
Регистриран: Октомври 2005

Оценка: няма

Offline
Мерси за линка ,но как мога да си прекомпилирам  или компилирам ядрото и как мога да видя каква версия ми е ? Щото при записване на drivera ми иска прекомпилация.
Контакти:  XMMS
WEB  
Мнение #4 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Октомври 30 2005, 15:16
Zero_effect

Avatar




Група: Li maniacs
Мнения: 489
Регистриран: Юли 2005

Оценка: 5

Offline
Не ти изисква прекомпилация, а прекомпилиран интерфейс. Пакетите на ядрото за някои дистрибуции работещи с прекомпилирани пакети имат такъв.

Версията на ядрото може да се провери по следния начин:
Код: 
cat /proc/version

или
Код: 
uname -r


Не ти препоръчвам да се занимаваш с прекомпилиране на ядрото, освен ако имаш някаква по-сериозна цел. Не ти препоръчвам да си сменяш и ядрото ако нямаш някакви сериозни проблеми
Контакти:  Zero_effect

  • AOL  AOL:
  • ICQ  ICQ: 94584818
  • MSN  MSN:
  • YIM  Yahoo IM:
WEB  
Мнение #5 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Октомври 30 2005, 17:44
Нерегистриран










Мерси.Тогава как да прекомпилирам интерфейса?Защото иначе не мога да си запиша драйвъра.
Контакти:  XMMS

  • AOL  AOL:
  • ICQ  ICQ:
  • MSN  MSN:
  • YIM  Yahoo IM:
WEB  
Мнение #6 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Октомври 30 2005, 22:31
Zero_effect

Avatar




Група: Li maniacs
Мнения: 489
Регистриран: Юли 2005

Оценка: 5

Offline
Трябват ти единствено сорсовете на кернела, за да се инсталират, а не такъв интерфейс. Драйверът ще ги използва, за да се инсталира.

Провери в /usr/src дали имаш сорсовете на кернела. Ако ги има няма да имаш никакви проблеми да инсталираш драйверите (грешката няма да ти попречи)
Контакти:  Zero_effect

  • AOL  AOL:
  • ICQ  ICQ: 94584818
  • MSN  MSN:
  • YIM  Yahoo IM:
WEB  
Мнение #7 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Октомври 30 2005, 23:45
phantomlord
Phantom Lord
Avatar




Група: Li maniacs
Мнения: 665
Регистриран: Август 2005

Оценка: няма

Offline
XMMS, свали kernel-source (версията за твойто ядро (uname -r)) от synaptic, влез в /usr/src, там ще намериш един архив kernel-source-2.6.xyz.tar.gz, който трябва да разархиваш с командата
tar -zxvf kernel-source-2.6.xyz.tar.gz
A, и всичко това трябва да направиш като su/root.

Debian lenny/sid, 2.6.24-phantomlord, KDE 3.5.9
http://myfreesoft.net/phpBB2/index.php?c=7
The knowledge is to be shared...
Помогни си сам, за да ти помогне и Господ
Контакти:  phantomlord

  • AOL  AOL:
  • ICQ  ICQ: 322393169
  • MSN  MSN:
  • YIM  Yahoo IM:
Мнение #8 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Октомври 31 2005, 08:19
Нерегистриран










Значи в /usr/src/ това:

drwxrwsr-x   5 root src   224 2005-09-25 10:27 .
drwxr-xr-x  14 root root  336 2005-07-13 16:03 ..
drwxr-xr-x  17 root root  528 2005-09-23 14:34 kernel-headers-2.6.13-kanotix-10
drwxr-xr-x   3 root root   72 2005-02-04 18:55 kernel-kbuild-2.6-3
lrwxrwxrwx   1 root src    33 2005-10-29 08:43 linux-2.6.13-kanotix-10 -> kernel-headers-2.6.13-kanotix-10/
-rw-r--r--   1 root root 1299 2005-08-18 06:30 Makefile
drwxr-xr-x   7 root root  168 2003-12-11 18:43 rpm

Трябва ли сега да си свалям тези работи ,които ми казахте ?
Контакти:  XMMS

  • AOL  AOL:
  • ICQ  ICQ:
  • MSN  MSN:
  • YIM  Yahoo IM:
WEB  
Мнение #9 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Октомври 31 2005, 14:25
phantomlord
Phantom Lord
Avatar




Група: Li maniacs
Мнения: 665
Регистриран: Август 2005

Оценка: няма

Offline
Да, свали си сорса на кернела, после го разархивирай в /usr/src.

Debian lenny/sid, 2.6.24-phantomlord, KDE 3.5.9
http://myfreesoft.net/phpBB2/index.php?c=7
The knowledge is to be shared...
Помогни си сам, за да ти помогне и Господ
Контакти:  phantomlord

  • AOL  AOL:
  • ICQ  ICQ: 322393169
  • MSN  MSN:
  • YIM  Yahoo IM:
Мнение #10
Skip to the previous post in this topic. Написано на: Октомври 31 2005, 19:53
Нерегистриран










От къде да го сваля сорсът за кернел 2.6.13 ?
Контакти:  XMMS

  • AOL  AOL:
  • ICQ  ICQ:
  • MSN  MSN:
  • YIM  Yahoo IM:
WEB  
Общо 12 отговор(а) от Октомври 29 2005, 15:40 до сега
 » Начало » Li Форуми » Help & Support » Kernels & Drivers » Проблем с Nvidia

© 2014 Linux Index Project
Powered by iF 1.0.0 © 2006 ikonForums